## ros-rospack 2.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rospack)

find_package(catkin REQUIRED COMPONENTS cmake_modules)
find_package(Boost REQUIRED COMPONENTS filesystem program_options system)
set(Python_ADDITIONAL_VERSIONS "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)
find_package(TinyXML REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES rospack ${PYTHON_LIBRARIES}
  DEPENDS Boost TinyXML
)

#add_definitions(-Wall)

set(API_BACKCOMPAT_V1 "YES" CACHE BOOL "Whether to enable backwards compatibility with old C++ API")
if(API_BACKCOMPAT_V1)
  add_definitions(-DROSPACK_API_BACKCOMPAT_V1)
  set(backcompat_source src/rospack_backcompat.cpp)
endif()

include_directories(include ${TinyXML_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})

add_library(rospack
  src/rospack.cpp
  ${backcompat_source}
  src/rospack_cmdline.cpp
  src/utils.cpp
)
target_link_libraries(rospack ${TinyXML_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})

add_executable(rospackexe src/rospack_main.cpp)
# Set the name, and make it a "global" executable
set_target_properties(rospackexe PROPERTIES
  OUTPUT_NAME rospack
  RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/bin)
target_link_libraries(rospackexe rospack ${Boost_LIBRARIES})
add_executable(rosstackexe src/rosstack_main.cpp)
target_link_libraries(rosstackexe rospack ${Boost_LIBRARIES})
# Set the name, and make it a "global" executable
set_target_properties(rosstackexe PROPERTIES
  OUTPUT_NAME rosstack
  RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/bin)

install(TARGETS rospack rospackexe rosstackexe
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

# uninstall target
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

if(DOXYGEN_FOUND)
  add_custom_target(rospack-docs
    COMMAND doxygen Doxyfile
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})
endif()

=== debian/changelog ===
ros-rospack (2.2.5-3) unstable; urgency=medium

  * Add patch to limit search depth

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 16 Feb 2016 11:09:26 +0100

ros-rospack (2.2.5-2) unstable; urgency=medium

  * Updated for multiarch-supporting catkin
  * Updated for renamed ros-cmake-modules

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 07 Dec 2015 13:41:48 +0000

ros-rospack (2.2.5-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add patch for Debian specific SOVERSION and adopt package name
  * Install catkin and cmake files
  * Remove template from debian/copyright
  * Add lintian-overrides
  * Add dependency and description
  * Add patch for default ROS_PACKAGE_PATH
  * Imported Upstream version 2.2.5
  * Update build dependencies
  * Initial release (Closes: #804036)

  [ Leopold Palomo-Avellaneda ]
  * Update uploaders field

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 18 Nov 2015 19:19:09 +0000

=== debian/control ===
Source: ros-rospack
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml-dev, libgtest-dev, ros-cmake-modules
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/ros/rospack
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-rospack.git
Vcs-Browser: http://anonscm.debian.org/?p=debian-science/packages/ros/rospack.git;a=summary

Package: librospack-dev
Section: libdevel
Architecture: any
Depends: librospack0d (= ${binary:Version}), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libtinyxml-dev, libpython-dev, ${misc:Depends}
Description: Robot OS package information library header files
 This package is part of Robot OS (ROS). rospack is a command-line
 tool for retrieving information about ROS packages available on the
 filesystem. It implements a wide variety of commands ranging from
 locating ROS packages in the filesystem, through listing available
 stacks, to calculating the dependency tree of stacks. It is also used
 in the ROS build system for calculating build information for
 packages.
 .
 This package contains the development files for the library.

Package: librospack0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS package information library
 This package is part of Robot OS (ROS). rospack is a command-line
 tool for retrieving information about ROS packages available on the
 filesystem. It implements a wide variety of commands ranging from
 locating ROS packages in the filesystem, to listing available stacks,
 to calculating the dependency tree of stacks. It is also used in the
 ROS build system for calculating build information for packages.
 .
 This package contains the library.

Package: rospack-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python-rosdep
Description: command-line tool for retrieving information about Robot OS packages
 This package is part of Robot OS (ROS).  rospack is a command-line
 tool for retrieving information about ROS packages available on the
 filesystem. It implements a wide variety of commands ranging from
 locating ROS packages in the filesystem, to listing available stacks,
 to calculating the dependency tree of stacks. It is also used in the
 ROS build system for calculating build information for packages.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
%:
	dh $@ 

# test suite is broken atm.
override_dh_auto_test:

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=3
https://github.com/ros/rospack/tags \
(?:.*/|)(\d\S*)\.(?:tar\.(?:gz|bz2|xz)|tgz|tbz2|txz)

## ros-rospack 2.3.0

=== debian/changelog ===
ros-rospack (2.3.0-4) unstable; urgency=medium

  * Update URLs
  * Update my email address
  * Add Patch for FTBFS on hurd-i386.
    Thanks to Svante Signell (Closes: #835627)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Sep 2016 10:58:10 +0200

ros-rospack (2.3.0-3) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Fix unit tests

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 26 Jul 2016 18:26:22 +0200

ros-rospack (2.3.0-2) unstable; urgency=medium

  * Add patch for hurd-i386.
    Thanks to Svante Signell (Closes: #822757)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 18:08:09 +0200

ros-rospack (2.3.0-1) unstable; urgency=medium

  * Imported Upstream version 2.3.0
  * Refresh patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 16:57:00 +0200

## ros-rospack 2.3.1

=== debian/changelog ===
ros-rospack (2.3.1-1build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:45:10 +0000

ros-rospack (2.3.1-1) unstable; urgency=medium

  * Remove lintian override, fixed in lintian 2.5.47
  * New upstream version 2.3.1
  * Remove patch, accepted upstream

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 18 Sep 2016 16:47:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: ros-rospack
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml-dev, libgtest-dev, ros-cmake-modules
-Standards-Version: 3.9.6
+# roslang is only needed for the unit tests
+Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml-dev, libgtest-dev, ros-cmake-modules, roslang
+Standards-Version: 3.9.8
 Section: libs
-Homepage: https://github.com/ros/rospack
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-rospack.git
-Vcs-Browser: http://anonscm.debian.org/?p=debian-science/packages/ros/rospack.git;a=summary
+Homepage: http://wiki.ros.org/rospack
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospack.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospack.git
 
 Package: librospack-dev
 Section: libdevel

## ros-rospack 2.4.2

=== debian/changelog ===
ros-rospack (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2
  * Drop patch, applied upstream

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Aug 2017 09:21:17 +0200

ros-rospack (2.4.1-2) unstable; urgency=medium

  * Simplify patches
  * Update dependency (Closes: #869181)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 02 Aug 2017 15:30:16 +0200

ros-rospack (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1
  * Update policy and debhelper versions
  * Rebase patches
  * Update watch file
  * Add patch for missing include

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 12 Jul 2017 18:54:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ros-rospack
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 # roslang is only needed for the unit tests
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml-dev, libgtest-dev, ros-cmake-modules, roslang
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang
+Standards-Version: 4.0.0
 Section: libs
 Homepage: http://wiki.ros.org/rospack
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospack.git
@@ -16,7 +15,7 @@
 Package: librospack-dev
 Section: libdevel
 Architecture: any
-Depends: librospack0d (= ${binary:Version}), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libtinyxml-dev, libpython-dev, ${misc:Depends}
+Depends: librospack0d (= ${binary:Version}), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libtinyxml2-dev, libpython-dev, ${misc:Depends}
 Description: Robot OS package information library header files
  This package is part of Robot OS (ROS). rospack is a command-line
  tool for retrieving information about ROS packages available on the

## ros-rospack 2.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,12 @@
 find_package(Boost REQUIRED COMPONENTS filesystem program_options system)
 set(Python_ADDITIONAL_VERSIONS "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
 find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)
-find_package(TinyXML REQUIRED)
+find_package(TinyXML2 REQUIRED)
 
 catkin_package(
   INCLUDE_DIRS include
   LIBRARIES rospack ${PYTHON_LIBRARIES}
-  DEPENDS Boost TinyXML
+  DEPENDS Boost TinyXML2
 )
 
 #add_definitions(-Wall)
@@ -21,7 +21,7 @@
   set(backcompat_source src/rospack_backcompat.cpp)
 endif()
 
-include_directories(include ${TinyXML_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})
+include_directories(include ${TinyXML2_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})
 
 add_library(rospack
   src/rospack.cpp
@@ -29,7 +29,7 @@
   src/rospack_cmdline.cpp
   src/utils.cpp
 )
-target_link_libraries(rospack ${TinyXML_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
+target_link_libraries(rospack ${TinyXML2_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
 
 add_executable(rospackexe src/rospack_main.cpp)
 # Set the name, and make it a "global" executable

=== test/CMakeLists.txt ===
include_directories(${PROJECT_SOURCE_DIR}/src)
catkin_add_gtest(${PROJECT_NAME}-utest 
          test/utest.cpp ${PROJECT_SOURCE_DIR}/src/rospack_cmdline.cpp ${PROJECT_SOURCE_DIR}/src/utils.cpp
          WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
if(TARGET ${PROJECT_NAME}-utest)
  target_link_libraries(${PROJECT_NAME}-utest rospack)
endif()

# Prepare to run the tests.  This could be cleaner.
add_custom_target(${PROJECT_NAME}-prepare_test
                  COMMAND cmake -E copy_directory ${PROJECT_SOURCE_DIR}/test ${CMAKE_CURRENT_BINARY_DIR}
                  COMMAND cmake -E chdir test/deep "${PYTHON_EXECUTABLE}" deep.py)
if(TARGET ${PROJECT_NAME}-utest)
  add_dependencies(${PROJECT_NAME}-utest ${PROJECT_NAME}-prepare_test)
endif()

configure_file(test/utest.py.in
               ${CMAKE_CURRENT_BINARY_DIR}/test/utest.py)
configure_file(test/utest_rosstack.py.in
               ${CMAKE_CURRENT_BINARY_DIR}/test/utest_rosstack.py)
catkin_add_nosetests(${CMAKE_CURRENT_BINARY_DIR}/test
                      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/test)

=== debian/changelog ===
ros-rospack (2.4.3-1build1) bionic; urgency=medium

  * No-change rebuild for tinyxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 06:35:27 +0000

ros-rospack (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3
  * Update standards version

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Oct 2017 08:14:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 # roslang is only needed for the unit tests
 Build-Depends: debhelper (>= 10), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Section: libs
 Homepage: http://wiki.ros.org/rospack
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospack.git

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
%:
	dh $@ --builddirectory=build

override_dh_auto_test:
	make -C build run_tests

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rospack-$1.tar.gz%" \
    https://github.com/ros/rospack/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-rospack 2.5.1

=== debian/changelog ===
ros-rospack (2.5.1-3) unstable; urgency=medium

  * Annotate roslang build-dep to break cycle
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Aug 2018 18:47:59 +0200

ros-rospack (2.5.1-2) unstable; urgency=medium

  * Add newline to warning

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 22:19:57 +0200

ros-rospack (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 16:32:06 +0200

ros-rospack (2.5.0-2) unstable; urgency=medium

  [ Steven Robbins ]
  * Link tests with -pthread.  Closes: #895708.

  [ Jochen Sprickerhof ]
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 17 Apr 2018 23:42:53 +0200

ros-rospack (2.5.0-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 2.5.0
  * Rebase patches
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 01 Apr 2018 10:06:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 # roslang is only needed for the unit tests
-Build-Depends: debhelper (>= 10), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang <!nocheck>
+Standards-Version: 4.2.0
 Section: libs
-Homepage: http://wiki.ros.org/rospack
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospack.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospack.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/rospack
+Vcs-Git: https://salsa.debian.org/science-team/ros-rospack.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-rospack
 
 Package: librospack-dev
 Section: libdevel

## ros-rospack 2.5.2

=== debian/changelog ===
ros-rospack (2.5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:34:47 +0800

ros-rospack (2.5.2-1) unstable; urgency=medium

  * Remove get-orig-source
  * New upstream version 2.5.2
  * Bump policy version (no changes)
  * rebase patches
  * simplify d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 10 Oct 2018 22:57:42 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 # roslang is only needed for the unit tests
 Build-Depends: debhelper (>= 11), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang <!nocheck>
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rospack

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build

override_dh_auto_test:
	make -C build run_tests

## ros-rospack 2.5.3

=== debian/changelog ===
ros-rospack (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3
  * rebase patches
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 31 Jul 2019 20:21:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 # roslang is only needed for the unit tests
-Build-Depends: debhelper (>= 11), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang <!nocheck>
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang <!nocheck>
+Standards-Version: 4.4.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rospack

## ros-rospack 2.5.4

=== debian/changelog ===
ros-rospack (2.5.4-2build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:36:00 +0000

ros-rospack (2.5.4-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:39:40 +0000

ros-rospack (2.5.4-2) unstable; urgency=medium

  * Add catkin_test_results

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Nov 2019 18:53:54 +0100

ros-rospack (2.5.4-1) unstable; urgency=medium

  * Guard override_dh_auto_test
  * New upstream version 2.5.4
  * Rebase patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Oct 2019 21:45:12 +0200

ros-rospack (2.5.3-2) unstable; urgency=medium

  * Move to Python 3 (Closes: #938399)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 27 Sep 2019 13:35:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ros-rospack
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 # roslang is only needed for the unit tests
-Build-Depends: debhelper-compat (= 12), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang <!nocheck>
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython3-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang <!nocheck>
+Standards-Version: 4.4.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rospack
@@ -16,7 +17,7 @@
 Package: librospack-dev
 Section: libdevel
 Architecture: any
-Depends: librospack0d (= ${binary:Version}), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libtinyxml2-dev, libpython-dev, ${misc:Depends}
+Depends: librospack0d (= ${binary:Version}), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libtinyxml2-dev, libpython3-dev, ${misc:Depends}
 Description: Robot OS package information library header files
  This package is part of Robot OS (ROS). rospack is a command-line
  tool for retrieving information about ROS packages available on the
@@ -46,7 +47,7 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: python-rosdep
+Recommends: python3-rosdep2
 Description: command-line tool for retrieving information about Robot OS packages
  This package is part of Robot OS (ROS).  rospack is a command-line
  tool for retrieving information about ROS packages available on the

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- -DPYTHON_VERSION=3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C build run_tests
	catkin_test_results
endif

## ros-rospack 2.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(rospack)
 
 find_package(catkin REQUIRED COMPONENTS cmake_modules)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include_directories(${PROJECT_SOURCE_DIR}/src)
 catkin_add_gtest(${PROJECT_NAME}-utest 
-          test/utest.cpp ${PROJECT_SOURCE_DIR}/src/rospack_cmdline.cpp ${PROJECT_SOURCE_DIR}/src/utils.cpp
+          test/utest.cpp
           WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
 if(TARGET ${PROJECT_NAME}-utest)
   target_link_libraries(${PROJECT_NAME}-utest rospack)

=== debian/changelog ===
ros-rospack (2.6.2-5) unstable; urgency=medium

  * Revert "reduce dependencies"
  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 12:02:21 +0100

ros-rospack (2.6.2-4) unstable; urgency=medium

  * reduce dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Dec 2020 23:33:05 +0100

ros-rospack (2.6.2-3) unstable; urgency=medium

  * bump policy version (no changes)
  * Drop Python dependency (Closes: #976049)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 29 Nov 2020 11:49:46 +0100

ros-rospack (2.6.2-2) unstable; urgency=medium

  * include ros_environment in rospack unit test (Closes: #963410)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 25 Jun 2020 21:42:43 +0200

ros-rospack (2.6.2-1) unstable; urgency=medium

  * simplify d/watch
  * New upstream version 2.6.2
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 13:58:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: ros-rospack
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 # roslang is only needed for the unit tests
-Build-Depends: debhelper-compat (= 12), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython3-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang <!nocheck>
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython3-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang <!nocheck>
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rospack
@@ -17,7 +15,7 @@
 Package: librospack-dev
 Section: libdevel
 Architecture: any
-Depends: librospack0d (= ${binary:Version}), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libtinyxml2-dev, libpython3-dev, ${misc:Depends}
+Depends: librospack0d (= ${binary:Version}), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libtinyxml2-dev, ${misc:Depends}
 Description: Robot OS package information library header files
  This package is part of Robot OS (ROS). rospack is a command-line
  tool for retrieving information about ROS packages available on the

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rospack-$1.tar.gz%" \
    https://github.com/ros/rospack/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-rospack 2.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,14 @@
 find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)
 find_package(TinyXML2 REQUIRED)
 
+set(package_libraries rospack)
+if(NOT APPLE)
+  list(APPEND package_libraries ${PYTHON_LIBRARIES})
+endif()
+
 catkin_package(
   INCLUDE_DIRS include
-  LIBRARIES rospack ${PYTHON_LIBRARIES}
+  LIBRARIES ${package_libraries}
   DEPENDS Boost TinyXML2
 )
 
@@ -29,7 +34,12 @@
   src/rospack_cmdline.cpp
   src/utils.cpp
 )
-target_link_libraries(rospack ${TinyXML2_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
+target_link_libraries(rospack ${TinyXML2_LIBRARIES} ${Boost_LIBRARIES})
+if(NOT APPLE)
+  target_link_libraries(rospack ${PYTHON_LIBRARIES})
+else()
+  set_target_properties(rospack PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
+endif()
 
 add_executable(rospackexe src/rospack_main.cpp)
 # Set the name, and make it a "global" executable

=== debian/changelog ===
ros-rospack (2.6.4-1) unstable; urgency=medium

  * New upstream version 2.6.4
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Aug 2025 10:23:14 +0200

ros-rospack (2.6.2-10) unstable; urgency=medium

  * Add ROSPACK_NO_IMPLICIT_USR environment variable

 -- Timo Röhling <roehling@debian.org>  Mon, 14 Oct 2024 23:18:23 +0200

ros-rospack (2.6.2-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 21:55:28 +0200

ros-rospack (2.6.2-8) unstable; urgency=medium

  * Simplify d/rules
  * Move /usr/share/ to the end of ROS_PACKAGE_PATH.
    Thanks to Lucas Walter
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 May 2022 23:12:15 +0200

ros-rospack (2.6.2-7) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:44:32 +0200

ros-rospack (2.6.2-6) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Fri, 03 Sep 2021 18:21:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,23 @@
 Source: ros-rospack
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-# roslang is only needed for the unit tests
-Build-Depends: debhelper-compat (= 13), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libpython3-dev, libtinyxml2-dev, libgtest-dev, ros-cmake-modules, roslang <!nocheck>
-Standards-Version: 4.5.1
+Uploaders:
+ Jochen Sprickerhof <jspricke@debian.org>,
+ Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+ Timo Röhling <roehling@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-ros,
+ catkin (>= 0.8.10-1~),
+ libboost-filesystem-dev,
+ libboost-program-options-dev,
+ libboost-system-dev,
+ libgtest-dev,
+ libpython3-dev,
+ libtinyxml2-dev,
+ ros-cmake-modules,
+ roslang <!nocheck>,
+Standards-Version: 4.7.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rospack
@@ -15,7 +27,14 @@
 Package: librospack-dev
 Section: libdevel
 Architecture: any
-Depends: librospack0d (= ${binary:Version}), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libtinyxml2-dev, ${misc:Depends}
+Multi-Arch: same
+Depends:
+ libboost-filesystem-dev,
+ libboost-program-options-dev,
+ libboost-system-dev,
+ librospack0d (= ${binary:Version}),
+ libtinyxml2-dev,
+ ${misc:Depends},
 Description: Robot OS package information library header files
  This package is part of Robot OS (ROS). rospack is a command-line
  tool for retrieving information about ROS packages available on the
@@ -29,7 +48,9 @@
 
 Package: librospack0d
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: same
 Description: Robot OS package information library
  This package is part of Robot OS (ROS). rospack is a command-line
@@ -44,8 +65,11 @@
 Package: rospack-tools
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: python3-rosdep2
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ python3-rosdep2,
 Description: command-line tool for retrieving information about Robot OS packages
  This package is part of Robot OS (ROS).  rospack is a command-line
  tool for retrieving information about ROS packages available on the

=== debian/rules ===
#!/usr/bin/make -f

export ROSPACK_NO_IMPLICIT_USR = 1

%:
	dh $@ --buildsystem=ros
